Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::RangeSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Range. More...

`#include <xfc/gtk/rangesignals.hh>`

Inheritance diagram for Xfc::Gtk::RangeSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_value_changed ()
    Called when the range value changes.
- virtual void on_adjust_bounds (double new_value)
    Called when the bounds of the range might need adjusting when a new range value is set.

## Protected Member Functions

Constructors

- RangeSignals (Range *range)
    Constructs a new RangeSignals object.
- virtual ~RangeSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Range.

## Constructor & Destructor Documentation

Xfc::Gtk::RangeSignals::RangeSignals | ( | Range * | range | ) | `[protected]`

Constructs a new RangeSignals object.

Parameters:

  | range | A Range object inheriting the RangeSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::RangeSignals::on_adjust_bounds | ( | double | new_value | ) | `[virtual]`

Called when the bounds of the range might need adjusting when a new range value is set.

Parameters:

  | new_value | The new range value.

The documentation for this class was generated from the following file:

- rangesignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3